#include<stdio.h>
#include<stdlib.h>
#include<math.h>
#include"dSFMT.h"


#define	Number	150
#define point1	51
dsfmt_t dsfmt1;				//random number

double rand_gauss( double mu , double sigma ){	//rand : gauss
	double x1 = dsfmt_genrand_close_open(&dsfmt1);
	double x2 = dsfmt_genrand_close_open(&dsfmt1);
	double y  = sigma * ( sqrt(-2 * log(x1) ) * cos( 2*M_PI * x2)) + mu;
	return y;
}


int main(void){
	
	//Seed of random number
	dsfmt_init_gen_rand(&dsfmt1,1);
	
	int i;
	double sigma = 0.01;
	double x;
	FILE *fp;
	fp = fopen("time.dat" , "w");
	
	
	for(i=0;i<=Number;i++){
		x = 1.0;
		if(i>=point1) x += 0.1;
		x += rand_gauss(0.0 , sigma);
		fprintf(fp,"%3d	%f\n",i,x);
	}
	
	fclose(fp);
	return 0;
}