#!/bin/bash


gcc -o	time.exe	time.c	dSFMT.c

./time.exe

gcc -o 	problem3_6_2.exe 	problem3_6_2.c

./problem3_6_2.exe



gnuplot <<EOF
set terminal postscript eps enhanced color
set output "problem3_6_2.eps"
set size 0.7,0.6
set multiplot 
##Plot time##
set lmargin at screen 0.15
set rmargin at screen 0.65
set bmargin at screen 0.55
set tmargin at screen 0.35
unset xlabel
set ylabel "x(t)" 1.0,0.0
set format x " "
set format y "%1.2f"
set xrange [0:150]
set xtics 25
set grid xtics 
plot 	"time.dat" u 1:2 noti w l
##Plot error##
set lmargin at screen 0.15
set rmargin at screen 0.65
set bmargin at screen 0.10
set tmargin at screen 0.30
set xlabel "t"
set ylabel "log_{10}P(t)" 1.0,0.0
set format x "%g"
set format y "%g"
plot 	"P.dat" u 1:2 noti w lp pt 7 ps 0.5
#
unset multiplot
#
EOF
